Bug 33668 - Logitech USB mouse qa0327
Logitech USB mouse qa0327
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-03-28 14:19 EST by Rogelio Noriega
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-30 18:46:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Rate limit patch (1.09 KB, patch)
2001-03-28 18:26 EST, Pete Zaitcev
no flags Details | Diff

  None (edit)
Description Rogelio Noriega 2001-03-28 14:19:24 EST
With a Logitech USB mouse plugged into a WS330
running qa0327 I get error messages spewed to
the screen:
usb-uhci.c: interupt status 3, frame # xxx

eventually the system is brought to it's knees with massive amounts of 
error message.
Comment 1 Pete Zaitcev 2001-03-28 14:41:53 EST
Interesting. Do they stop if mouse is unplugged?
Comment 2 Pete Zaitcev 2001-03-28 18:26:36 EST
Created attachment 14044 [details]
Rate limit patch
Comment 3 Lamar Owen 2001-03-30 18:45:29 EST
Duplication of this problem here.

Toshiba 2800-S201 UHCI controller. IOMEGA ZipCD 250 USB.  The drive is recognized and works fine -- but, if a disk is not present in the drive, a 
continuous stream of 'kernel: usb-uhci.c: interrupt, status 3, frame#xxx' is emitted (and logged in /var/log/messages!).  The stream stops once a disk is 
mounted --and starts back when the disk is ejected.

QA0327, kernel 2.4.2-0.1.40.

Too much going into /var/log/messages for my taste.  Don't have room for kernel sources on this notebook, unfortunately, or I'd try the patch above.
Lamar Owen
WGCR Internet Radio
1 Peter 4:11
Comment 4 Pete Zaitcev 2001-03-31 21:53:35 EST
I think status&0x02 is inconsequential. I will talk
to the usb-devel list, see what David B. and Johannes
have to say. For RH7.1 we'll have rate limit, with
true resolution in updates (hence, deferred).

-- Pete
Comment 5 Tim Powers 2001-04-01 09:33:41 EDT
Here's a workaround, I'm assuming that you are using the usb-uhci module. If you
are, change the module to uhci (note the missing usb-). That worked for me with
my Logitech Mouseman Wheel (USB).

This doesn't solve the problem since the usb-uhci module should be fixed, but at
least you will be able to use the console without those messages popping up

Comment 6 Pete Zaitcev 2001-04-14 21:22:22 EDT
Hah. OF COURSE uhci "fixes" the problem -
it DOES NOT HAVE that printout. In other
respects its interrupt processing is identical.
It uhci works for you, my "fix" will work too.

Note You need to log in before you can comment on or make changes to this bug.